Skip to main content
Answer an ask

Authorizations

Authorization
string
header
required

The server's token (MIRAGE_AUTH_TOKEN) or a JWT. A daemon in the default local mode with no token accepts requests without one.

Path Parameters

workspace_id
string
required

The workspace's id.

ask_id
string
required

Body

application/json
answer
enum<string>
required
Available options:
allow,
deny
scope
enum<string>
default:once
Available options:
once,
session
note
string
default:""

Response

OK

id
string
required
session_id
string
required
command
string
required
argv
string[]
required
cwd
string
required
paths
string[]
required
reason
string
required
outcome
string | null
required
scope
string
required
note
string
required